Skip to main content
API referenceSubnets

Emission Pipeline By Network

Last updated

GET
/api/v1/{network}/chain/emission-pipeline

Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.

Path Parameters

network*string

Network to address. mainnet and finney are the same network, as are testnet and test.

Value in

  • "finney"
  • "mainnet"
  • "test"
  • "testnet"

Query Parameters

netuid?integer
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/finney/chain/emission-pipeline"
{  "data": {    "aggregate": {      "disabled_count": 1,      "eligible_count": 1,      "excess_tao": 0.5,      "liquidity_fraction": 0.5,      "tao_in_emission": 0.5,      "tao_total": 0.5,      "total_final_share": 0.5    },    "block_emission_halvings": 5000000,    "block_emission_tao": 5000000,    "chain_state": {      "block": 5000000,      "block_hash": "0xa3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1a3f1",      "emission_bar_quantile": 0.5,      "emission_gate_bar": 0.5,      "emission_gate_exponent": 1,      "total_issuance_tao": 0.5    },    "field_sources": {      "example": {        "kind": "measured",        "storage": "example"      }    },    "schema_version": 1,    "subnets": [      {        "alpha_in_emission": 0.5,        "alpha_out_emission": 0.5,        "distance_to_bar": 0.5,        "emission_enabled": false,        "emission_share": 0.5,        "excess_tao": 0.5,        "final_share": 0.5,        "gate_delta": 0.5,        "gated_share": 0.5,        "ineligible_reason": "root",        "liquidity_fraction": 0.5,        "miner_burned": 0.5,        "netuid": 7,        "tao_in_emission": 0.5,        "tao_total": 0.5,        "weighted_share": 0.5      }    ],    "verification": {      "aggregate_tolerance_rao": "1000",      "checks": [        {          "detail": "example",          "name": "Example Subnet",          "ok": true        }      ],      "subnet_share_tolerance": 0.5,      "verified": false    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}